:PROPERTIES:
:ID:       48b5a4a7-58ae-4e3e-a310-0679e909941f
:END:
#+title: Command line: mpc
#+date: "2021-06-22 19:10:53 +08:00"
#+date_modified: "2021-07-20 23:31:22 +08:00"
#+language: en


mpc is a command line client for the Music Player Daemon (MPD).
Pretty nifty for controlling it in the command line and a bit of automation.




* Subcommands

The subcommands mainly deals with interacting with the server, letting you play and manage your music in the command line!

- =listall= lists all of the recognized files from the music directory.
- =play= play the playlist from the server.
- =add [FILES...]= add the files (that are in the music directory) to the playlist.




* Examples

Welp, it's a music daemon client so it should be simple enough.


** Randomized playlist

Even more useful if you schedule it.

#+begin_src shell
mpc listall | shuf --head-count 10 | xargs --replace='{}' mpc add '{}'
#+end_src
